// This file is generated by kconfig_compiler from massif-visualizer-settings.kcfg.
// All changes you do to this file will be lost.
#ifndef MASSIF_SETTINGS_H
#define MASSIF_SETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

namespace Massif {

class Settings : public KConfigSkeleton
{
  public:
    class EnumLegendPosition
    {
      public:
      enum type { North, East, South, West, Floating, COUNT };
    };
    class EnumLegendAlignment
    {
      public:
      enum type { Left, Center, Right, Top, Bottom, COUNT };
    };

    static Settings *self();
    ~Settings();

    /**
      Set Cost Precision
    */
    static
    void setPrettyCostPrecision( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "PrettyCostPrecision" ) ))
        self()->mPrettyCostPrecision = v;
    }

    /**
      Get Cost Precision
    */
    static
    int prettyCostPrecision()
    {
      return self()->mPrettyCostPrecision;
    }

    /**
      Get Item object corresponding to PrettyCostPrecision()
    */
    ItemInt *prettyCostPrecisionItem()
    {
      return mPrettyCostPrecisionItem;
    }

    /**
      Set Shorten Templates
    */
    static
    void setShortenTemplates( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShortenTemplates" ) ))
        self()->mShortenTemplates = v;
    }

    /**
      Get Shorten Templates
    */
    static
    bool shortenTemplates()
    {
      return self()->mShortenTemplates;
    }

    /**
      Get Item object corresponding to ShortenTemplates()
    */
    ItemBool *shortenTemplatesItem()
    {
      return mShortenTemplatesItem;
    }

    /**
      Set Legend Position
    */
    static
    void setLegendPosition( EnumLegendPosition::type v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LegendPosition" ) ))
        self()->mLegendPosition = v;
    }

    /**
      Get Legend Position
    */
    static
    EnumLegendPosition::type legendPosition()
    {
      return static_cast<EnumLegendPosition::type>(self()->mLegendPosition);
    }

    /**
      Get Item object corresponding to LegendPosition()
    */
    ItemEnum *legendPositionItem()
    {
      return mLegendPositionItem;
    }

    /**
      Set Legend Alignment
    */
    static
    void setLegendAlignment( EnumLegendAlignment::type v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "LegendAlignment" ) ))
        self()->mLegendAlignment = v;
    }

    /**
      Get Legend Alignment
    */
    static
    EnumLegendAlignment::type legendAlignment()
    {
      return static_cast<EnumLegendAlignment::type>(self()->mLegendAlignment);
    }

    /**
      Get Item object corresponding to LegendAlignment()
    */
    ItemEnum *legendAlignmentItem()
    {
      return mLegendAlignmentItem;
    }

    /**
      Set Legend Font Size
    */
    static
    void setLegendFontSize( int v )
    {
      if (v < 6)
      {
        kDebug() << "setLegendFontSize: value " << v << " is less than the minimum value of 6";
        v = 6;
      }

      if (v > 14)
      {
        kDebug() << "setLegendFontSize: value " << v << " is greater than the maximum value of 14";
        v = 14;
      }

      if (!self()->isImmutable( QString::fromLatin1( "LegendFontSize" ) ))
        self()->mLegendFontSize = v;
    }

    /**
      Get Legend Font Size
    */
    static
    int legendFontSize()
    {
      return self()->mLegendFontSize;
    }

    /**
      Get Item object corresponding to LegendFontSize()
    */
    ItemInt *legendFontSizeItem()
    {
      return mLegendFontSizeItem;
    }

  protected:
    Settings();
    friend class SettingsHelper;


    // Settings
    int mPrettyCostPrecision;
    bool mShortenTemplates;
    int mLegendPosition;
    int mLegendAlignment;
    int mLegendFontSize;

  private:
    ItemInt *mPrettyCostPrecisionItem;
    ItemBool *mShortenTemplatesItem;
    ItemEnum *mLegendPositionItem;
    ItemEnum *mLegendAlignmentItem;
    ItemInt *mLegendFontSizeItem;
};

}

#endif

